/* $RCSfile: winKeyLockHook.h,v $ $Revision: 1.3 $ $Date: 2004/03/20 03:38:00 $ $Author: vlads $ */
/*                                                                                    */
/* ================================================================================== */
/*                                                                                    */
/*   This file is part of winKeyLock,  http://winKeyLock.sourceforge.net/             */
/*   See readme.txt and license.txt for details.                                      */
/*   (c) Copyright 2004 - Vlad Skarzhevskyy & co                                      */
/*                                                                                    */
/*   This program is free software; you can redistribute it and/or modify it under    */
/*  the terms of the GNU General Public License as published by the Free Software     */
/*  Foundation; either version 2 of the License, or (at your option) any later        */
/*  version.                                                                          */
/*                                                                                    */
/*   This program is distributed in the hope that it will be useful, but WITHOUT ANY  */
/*  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A   */
/*  PARTICULAR PURPOSE.  See the GNU General Public License for more details.         */
/*                                                                                    */
/*  The GNU GPL can be found at:       http://www.gnu.org/copyleft/gpl.html           */
/*                                                                                    */
/* ================================================================================== */

#if !defined(_winKeyLockHook_DLL_)
#define _winKeyLockHook_DLL_

#include <windows.h>

/////////////////////////////////////////////////////////////////////////////
// Define the import/export tags

#define DllImport __declspec(dllimport)
#define DllExport __declspec(dllexport)

/////////////////////////////////////////////////////////////////////////////
//
// Functions used by winKeyLock.exe

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

	// DLL functions:
	DllExport BOOL SetShellHook();		    // Set the hook
	DllExport BOOL UnSetShellHook();		// Remove it
	DllExport BOOL SetNotifyWnd(HWND hWnd);
	DllExport HWND GetNotifyWnd();
	DllExport BOOL SetProperties(int id, long value);
	DllExport BOOL GetIsLocked();
	DllExport BOOL StartLog(char* file_name);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif // !defined(_winKeyLockHook_DLL_)

