#--------------------------------------------------------------------------------------------------#
#                                                                                                  #
# MP3BookHelper/winKeyLock Build                                                                   #
#                                                                                                  #
#--------------------------------------------------------------------------------------------------#

!ifndef ROOT
ROOT = $(MAKEDIR)\..
!endif
#---------------------------------------------------------------------------------------------------
JCL = $(ROOT)\JCL
JCL_SRC = $(JCL)\source
TNT = $(ROOT)\tnt
INDY = $(ROOT)\Indy
#--
DCU = DCU
DCU_LIBS = $(TNT);$(JCL)\dcu;$(JCL_SRC);$(INDY);$(DCU);$(ROOT)\Lib
BIN = .
MAP = $(BIN)\$&.map
DRC = $&.drc
MAP = $(BIN)\$&.map
!ifdef BUILD_DATE
OPTARG = -dBUILD_DATE
!endif
#---------------------------------------------------------------------------------------------------
#Syntax: dcc32 [options] filename [options]
#  -A<unit>=<alias> = Set unit alias  -LU<package> = Use package
#  -B = Build all units               -M = Make modified units
#  -CC = Console target               -N<path> = DCU output directory
#  -CG = GUI target                   -O<paths> = Object directories
#  -D<syms> = Define conditionals     -P = look for 8.3 file names also
#  -E<path> = EXE output directory    -Q = Quiet compile
#  -F<offset> = Find error            -R<paths> = Resource directories
#  -GD = Detailed map file            -U<paths> = Unit directories
#  -GP = Map file with publics        -V = Debug information in EXE
#  -GS = Map file with segments       -VR = Generate remote debug (RSM)
#  -H = Output hint messages          -W = Output warning messages
#  -I<paths> = Include directories    -Z = Output 'never build' DCPs
#  -J = Generate .obj file            -$<dir> = Compiler directive
#  -JP = Generate C++ .obj file       --help = Show this help screen

MAKE = $(ROOT)\bin\make.exe -$(MAKEFLAGS) -f$**
DCC = $(ROOT)\bin\dcc32.exe -e$(BIN) -I$(JCL_SRC);$(INDY) -N$(DCU) -U$(DCU_LIBS) -q -w $(OPTARG) $**
BRCC = $(ROOT)\bin\brcc32.exe $**
#---------------------------------------------------------------------------------------------------
default: \
    XPTheme.res \
    winKeyLock.exe
#---------------------------------------------------------------------------------------------------

XPTheme.res: XPTheme.rc
  $(BRCC)

winKeyLock.exe: winKeyLock.dpr
  $(DCC)
