program winKeyLock;

{$R 'XPTheme.res' 'XPTheme.rc'}

uses
  Windows,
  Forms,
  FOptions in 'Forms\FOptions.pas' {FormOptions},
  FwinKeyLockMain in 'Forms\FwinKeyLockMain.pas' {FormWinKeyLockMain},
  JvTrayIcon in '3rd-party\jvcl\JvTrayIcon.pas',
  XPMenu in '3rd-party\XPMenu.pas',
  Properties in 'Units\Properties.pas',
  FPopup in 'Forms\FPopup.pas' {FormPopup};

{$R *.res}

begin
    hMutex := CreateMutex(nil, False, sMutex);
    if (hMutex <> 0) and
       (GetLastError = ERROR_ALREADY_EXISTS) then
    begin
        CloseHandle(hMutex);
        isMainProcess := false;
    end
    else
        isMainProcess := true;


    Application.Initialize;
    Application.ShowMainForm := False;
    Application.Title := 'winKeyLock';
    Application.CreateForm(TFormWinKeyLockMain, FormWinKeyLockMain);
    Application.Run;
end.
