;  $RCSfile: winKeyLock.iss,v $ $Revision: 1.2 $ $Date: 2004/03/22 05:27:35 $ $Author: vlads $

; SEE THE DOCUMENTATION FOR DETAILS ON CREATING .ISS SCRIPT FILES!
; See http://www.jordanr.dhs.org/isinfo.php for details

; This file is for Inno Setup Version 4.1.0 + Inno Setup Preprocessor

#define SourceExePathName = "winKeyLock.exe"
#define AppVersion GetFileVersion(SourceExePathName)
;!!!!!!! Change this for Release/Prerelease/Development
#define AppVersionMajor = "1.0.1"


[Setup]
OutputDir=.
AppName=winKeyLock

OutputBaseFilename=InstallWinKeyLock{#AppVersionMajor}
AppVerName=winKeyLock version {#AppVersion}
AppVersion={#AppVersionMajor}
;Setup program version
VersionInfoVersion={#AppVersion}

;InfoBeforeFile=Text\install_features.txt
AppCopyright=Copyright (C) 2004 Vlad Skarzhevskyy & co
DefaultDirName={pf}\winKeyLock
DefaultGroupName=winKeyLock
AllowNoIcons=yes
UninstallDisplayIcon={app}\winKeyLock.exe
; uncomment the following line if you want your installation to run on NT 3.51 too.
; MinVersion=4,3.51
;Windows 2000/XP
AppPublisher=winKeyLock
AppPublisherURL=http://winKeyLock.sourceforge.net/
AppSupportURL=http://winKeyLock.sourceforge.net/
AppUpdatesURL=http://winKeyLock.sourceforge.net/


Compression=bzip
SolidCompression=no
AppMutex=WinKeyLockMutex
DisableStartupPrompt=yes
LicenseFile=license.txt
WizardSmallImageFile=Images\winKeyLock.bmp
;WizardImageFile=Images\MP3BookHelperSetup.bmp

ChangesAssociations=no

[Run]
Filename: {app}\winKeyLock.exe; Description: Launch winKeyLock; Flags: postinstall nowait skipifsilent

;[Types]
;Name: full; Description: Full installation; Flags: iscustom

;[Components]
;Name: program; Description: Program files; Flags: fixed; Types: full
;Name: lang; Description: Translations; Types: full
;Name: lang\fr; Description: French

;Name: "explorermenu"; Description: "Windows Explorer context menu"; Types: full
;Name: "addicons"; Description: "Additional icons (Desktop, Start Menu, Quick Launch)"; Types: full
;Name: "addicons\user"; Description: "For the current user only"; Flags: exclusive
;Name: "addicons\user\desktopicon"; Description: "Desktop icon";
;Name: "addicons\user\quicklaunchicon"; Description: "Quick Launch icon";
;Name: "addicons\user\startmenu"; Description: "Start Menu icon";
;Name: "addicons\common"; Description: "For all users (admin only)"; Flags: exclusive
;Name: "addicons\common\desktopicon"; Description: "Desktop icon";
;Name: "addicons\common\quicklaunchicon"; Description: "Quick Launch icon";
;Name: "addicons\common\startmenu"; Description: "Start Menu icon";

;Quick Launch Bar
[Tasks]
;Name: add_programs; Description: "Create Start Menu Programs folder"; GroupDescription: "Additional icons:";
Name: startmenu; Description: Create a Start Menu icon; GroupDescription: Additional icons:; Flags: unchecked
Name: desktopicon; Description: Create a &desktop icon; GroupDescription: Additional icons:
Name: quicklaunchicon; Description: Create a &Quick Launch icon; GroupDescription: Additional icons:; Flags: unchecked
;Name: explorermenu; Description: Add to the windows Explorer context menu; GroupDescription: Additional icons:
;Name: explorersendto; Description: "Add to the windows explorer user's Send To"; GroupDescription: "Additional icons:"; Flags: unchecked
;Name: associate; Description: "&Associate files"; GroupDescription: "Other tasks:"; Flags: unchecked

[Files]
Source: winKeyLock.exe; DestDir: {app}; Flags: ignoreversion
Source: HookDll\obj\winKeyLockHook.dll; DestDir: {app}; Flags: ignoreversion
;Source: Mp3BHShell.dll; DestDir: {app}; Flags: promptifolder regserver restartreplace; Tasks: explorermenu
; Copy file anyway Mp3BHShell.dll and after regserver so it could be removed !
;Source: Mp3BHShell.dll; DestDir: {app}; Flags: restartreplace promptifolder

;Source: Help\MP3BookHelper.chm; DestDir: {app}; Flags: ignoreversion

Source: License.txt; DestDir: {app}; Flags: ignoreversion
;Source: Text\ReadMe.txt; DestDir: {app}; Flags: ignoreversion isreadme

[UninstallDelete]
Type: files; Name: {app}\winKeyLock.ini

[Icons]
Name: {group}\winKeyLock; Filename: {app}\winKeyLock.exe
Name: {group}\Uninstall winKeyLock; Filename: {uninstallexe}
Name: {userstartmenu}\winKeyLock; Filename: {app}\winKeyLock.exe; Tasks: startmenu
Name: {userappdata}\Microsoft\Internet Explorer\Quick Launch\winKeyLock; Filename: {app}\winKeyLock.exe; Tasks: quicklaunchicon
Name: {userdesktop}\winKeyLock; Filename: {app}\winKeyLock.exe; Tasks: desktopicon

[Messages]
SetupLdrStartupMessage=This will install %1.%nProgram for Transparent Screen Lock.%nDo you wish to continue?
WelcomeLabel2=This will install [name/ver] on your computer.%n%nIt is strongly recommended that you close other versions of [name] and Windows Explorer you have running before continuing. This will help prevent any conflicts during the installation process.
FinishedRestartLabel=To complete the installation of [name] to windows Explorer context menu, Setup must restart your computer. Would you like to restart now?

WizardInfoBefore=winKeyLock Features
InfoBeforeLabel=

WizardSelectTasks=Select Icons/Shortcuts
SelectTasksDesc=Which additional Icons/Shortcuts should be created?
SelectTasksLabel2=Select the additional Icons/Shortcuts you would like Setup to create while installing [name], then click Next.
ReadyMemoTasks=Additional Icons:


